recDevice Struct Reference

`#include <SDL_sysjoystick_c.h>`

Collaboration diagram for recDevice:
[legend]

## Data Structures

struct | axis_correct
struct | hwdata_ball
struct | hwdata_hat

## Data Fields

IOHIDDeviceRef | deviceRef
io_service_t | ffservice
char | product [256]
uint32_t | usage
uint32_t | usagePage
int | axes
int | buttons
int | hats
int | elements
recElement * | firstAxis
recElement * | firstButton
recElement * | firstHat
SDL_bool | removed
int | instance_id
SDL_JoystickGUID | guid
struct joystick_hwdata * | pNext
SDL_bool | accelerometer
GCController __unsafe_unretained * | controller
int | num_pause_presses
char * | name
SDL_Joystick * | joystick
SDL_JoystickID | instance_id
int | naxes
int | nbuttons
int | nhats
struct joystick_hwdata * | next
int | fd
struct SDL_joylist_item * | item
char * | fname
struct joystick_hwdata::hwdata_hat * | hats
struct joystick_hwdata::hwdata_ball * | balls
Uint8 | key_map [KEY_MAX-BTN_MISC]
Uint8 | abs_map [ABS_MAX]
struct joystick_hwdata::axis_correct | abs_correct [ABS_MAX]
int | fresh
SDL_bool | send_remove_event
SDL_bool | bXInputDevice
SDL_bool | bXInputHaptic
Uint8 | userid
DWORD | dwPacketNumber

## Detailed Description

Definition at line 44 of file SDL_sysjoystick_c.h.

## Field Documentation

struct joystick_hwdata::axis_correct recDevice::abs_correct[ABS_MAX]

Uint8 recDevice::abs_map[ABS_MAX]

Definition at line 47 of file SDL_sysjoystick_c.h.

SDL_bool recDevice::accelerometer

Definition at line 33 of file SDL_sysjoystick_c.h.

Referenced by SDL_SYS_AddJoystickDevice(), SDL_SYS_JoystickClose(), SDL_SYS_JoystickOpen(), and SDL_SYS_JoystickUpdate().

int recDevice::axes

Definition at line 53 of file SDL_sysjoystick_c.h.

Referenced by SDL_SYS_MFIJoystickUpdate().

struct joystick_hwdata::hwdata_ball * recDevice::balls

int recDevice::buttons

Definition at line 54 of file SDL_sysjoystick_c.h.

Referenced by SDL_SYS_MFIJoystickUpdate().

SDL_bool recDevice::bXInputDevice

Definition at line 80 of file SDL_windowsjoystick_c.h.

SDL_bool recDevice::bXInputHaptic

Definition at line 81 of file SDL_windowsjoystick_c.h.

GCController __unsafe_unretained* recDevice::controller

Definition at line 35 of file SDL_sysjoystick_c.h.

Referenced by SDL_SYS_AddJoystickDevice(), SDL_SYS_AddMFIJoystickDevice(), SDL_SYS_JoystickClose(), SDL_SYS_JoystickInit(), SDL_SYS_JoystickOpen(), SDL_SYS_JoystickUpdate(), SDL_SYS_MFIJoystickUpdate(), and SDL_SYS_RemoveJoystickDevice().

IOHIDDeviceRef recDevice::deviceRef

Definition at line 46 of file SDL_sysjoystick_c.h.

DWORD recDevice::dwPacketNumber

Definition at line 83 of file SDL_windowsjoystick_c.h.

int recDevice::elements

Definition at line 56 of file SDL_sysjoystick_c.h.

int recDevice::fd

Definition at line 29 of file SDL_sysjoystick_c.h.

io_service_t recDevice::ffservice

Definition at line 47 of file SDL_sysjoystick_c.h.

recElement* recDevice::firstAxis

Definition at line 58 of file SDL_sysjoystick_c.h.

recElement* recDevice::firstButton

Definition at line 59 of file SDL_sysjoystick_c.h.

recElement* recDevice::firstHat

Definition at line 60 of file SDL_sysjoystick_c.h.

char* recDevice::fname

Definition at line 32 of file SDL_sysjoystick_c.h.

int recDevice::fresh

Definition at line 54 of file SDL_sysjoystick_c.h.

SDL_JoystickGUID recDevice::guid

Definition at line 65 of file SDL_sysjoystick_c.h.

Referenced by SDL_SYS_AddJoystickDevice(), SDL_SYS_AddMFIJoystickDevice(), SDL_SYS_JoystickGetDeviceGUID(), and SDL_SYS_JoystickGetGUID().

struct joystick_hwdata::hwdata_hat * recDevice::hats

int recDevice::hats

Definition at line 55 of file SDL_sysjoystick_c.h.

SDL_JoystickID recDevice::instance_id

Definition at line 40 of file SDL_sysjoystick_c.h.

int recDevice::instance_id

Definition at line 64 of file SDL_sysjoystick_c.h.

Referenced by SDL_SYS_AddJoystickDevice(), SDL_SYS_GetInstanceIdOfDeviceIndex(), SDL_SYS_JoystickOpen(), and SDL_SYS_RemoveJoystickDevice().

struct SDL_joylist_item* recDevice::item

Definition at line 30 of file SDL_sysjoystick_c.h.

Referenced by SDL_SYS_RemoveJoystickDevice().

SDL_Joystick* recDevice::joystick

Definition at line 39 of file SDL_sysjoystick_c.h.

Referenced by SDL_SYS_JoystickClose(), SDL_SYS_JoystickOpen(), and SDL_SYS_RemoveJoystickDevice().

Uint8 recDevice::key_map[KEY_MAX-BTN_MISC]

Definition at line 46 of file SDL_sysjoystick_c.h.

char* recDevice::name

Definition at line 38 of file SDL_sysjoystick_c.h.

Referenced by SDL_SYS_AddJoystickDevice(), SDL_SYS_AddMFIJoystickDevice(), SDL_SYS_JoystickNameForDeviceIndex(), and SDL_SYS_RemoveJoystickDevice().

int recDevice::naxes

Definition at line 43 of file SDL_sysjoystick_c.h.

Referenced by SDL_SYS_AddJoystickDevice(), SDL_SYS_AddMFIJoystickDevice(), and SDL_SYS_JoystickOpen().

int recDevice::nbuttons

Definition at line 44 of file SDL_sysjoystick_c.h.

Referenced by SDL_SYS_AddJoystickDevice(), SDL_SYS_AddMFIJoystickDevice(), and SDL_SYS_JoystickOpen().

struct joystick_hwdata* recDevice::next

Definition at line 47 of file SDL_sysjoystick_c.h.

Referenced by GetDeviceForIndex(), SDL_SYS_AddJoystickDevice(), and SDL_SYS_RemoveJoystickDevice().

int recDevice::nhats

Definition at line 45 of file SDL_sysjoystick_c.h.

Referenced by SDL_SYS_AddJoystickDevice(), SDL_SYS_AddMFIJoystickDevice(), and SDL_SYS_JoystickOpen().

int recDevice::num_pause_presses

Definition at line 36 of file SDL_sysjoystick_c.h.

struct joystick_hwdata* recDevice::pNext

Definition at line 67 of file SDL_sysjoystick_c.h.

char recDevice::product[256]

Definition at line 49 of file SDL_sysjoystick_c.h.

SDL_bool recDevice::removed

Definition at line 62 of file SDL_sysjoystick_c.h.

SDL_bool recDevice::send_remove_event

Definition at line 69 of file SDL_windowsjoystick_c.h.

uint32_t recDevice::usage

Definition at line 50 of file SDL_sysjoystick_c.h.

uint32_t recDevice::usagePage

Definition at line 51 of file SDL_sysjoystick_c.h.

Uint8 recDevice::userid

Definition at line 82 of file SDL_windowsjoystick_c.h.

The documentation for this struct was generated from the following files:

- src/joystick/darwin/SDL_sysjoystick_c.h
- src/joystick/windows/SDL_windowsjoystick_c.h